%define aurox_ver 11.0
%define rel 1


%define ver         1.02.0
%define name        gammu
%define bluetooth   1
 
 
%if %bluetooth
%define configureparams ""
%else
%define configureparams "--disable-bluefbus --disable-blueobex --disable-bluephonet --disable-blueat"
%endif
  
Summary:            Mobile phones tools for Unix (Linux) and Win32
Name:               %name
Version:            %ver
Release:            %{aurox_ver}.aur.%{rel}
License:            GPL
Group:              Applications/Communications
%if %bluetooth
BuildRequires:      bluez-libs >= 2.0 bluez-libs-devel >= 2.0
%endif
Source:             http://www.cihar.com/gammu/zips/gammu/stable/1_0x/%{name}-%{ver}.tar.bz2
URL:                http://www.mwiacek.com/gsm/soft/gammu.html
Buildroot:          %{_tmppath}/%name-%version-root

%description
Gammu can do such things with cellular phones as making data calls,
updating the address book, changing calendar and ToDo entries, sending and
receiving SMS messages, loading and getting ring tones and pictures (different
types of logos), synchronizing time, enabling NetMonitor, managing WAP
settings and bookmarks and much more. Functions depend on the phone model.

%package devel
Summary: Development files for Gammu
Group: Development/Libraries
Requires: %name = %{version}-%{release}

%description devel
Gammu can do such things with cellular phones as making data calls,
updating the address book, changing calendar and ToDo entries, sending and
receiving SMS messages, loading and getting ring tones and pictures (different
types of logos), synchronizing time, enabling NetMonitor, managing WAP
settings and bookmarks and much more. Functions depend on the phone model.

%prep
%setup -q

%build
%configure --with-docdir=%_docdir/%name-%version/ %configureparams --enable-7110incoming
make shared

%install
rm -rf %buildroot
make installshared DESTDIR=%buildroot
rm -rf %buildroot%_docdir/%name-%version

#%find_lang %{name}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

#%files -f %{name}.lang
%files
%defattr(-,root,root)
%doc docs other
%_bindir/*
%_libdir/*.so.*
#localisations:
%{_datadir}/gammu
%_mandir/man1/*

%files devel
%defattr(-,root,root)
%_includedir/%name
%_libdir/*.so
%_libdir/pkgconfig/%name.pc
%_libdir/*.a

%clean
rm -rf %buildroot

%changelog
* Thu Aug 04 2005 Rafal Kwasny <rkwasny@aurox.org> 1.02.0-11.0.aur.1
- new release
- rebuild

* Thu Jul 22 2004 Aurox Team <aurox@aurox.org> 0:0.97.0-10.0.aur.1
- patched to build without sms/mysql feature
- version 0.97.0
- fix devel dependency on gammu release
- fix docs

* Wed Nov 12 2003 Michal Cihar <michal@cihar.com>
- build depends on bluez if wanted

* Mon Nov 10 2003 Peter Soos <sp@osb.hu>
- using rpm macros where is possible
- added ldconfig to post/postun

* Mon Nov 03 2003 Michal Cihar <michal@cihar.com>
- split devel package

* Thu Jan 02 2003 Michal Cihar <michal@cihar.com>
- made it install in directories that are defined in rpm

* Sun Nov 10 2002 Marcin Wiacek <marcin@mwiacek.com>
- topnet.pl email no more available

* Sun Sep 30 2002 Marcin Wiacek <marcin-wiacek@topnet.pl>
- build system is now really working OK

* Sat Sep 15 2002 R P Herrold <herrold@owlriver.com>
- initial packaging
